/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.xwiki.ckeditor.test.po;

import org.openqa.selenium.By;
import org.xwiki.index.tree.test.po.DocumentPickerModal;

/**
 * Represents the tree modal opened when chosing a link.
 *
 * @version $Id: 62a528cef2b52d5fa3520950d3b4efda3a216045 $
 * @since 16.8.0RC1
 */
public class LinkPickerModal extends DocumentPickerModal
{
    /**
     * Default constructor.
     * @param selector selector of the container.
     */
    public LinkPickerModal(By selector)
    {
        super(selector);
    }

    @Override
    public LinkTreeElement getTree()
    {
        return new LinkTreeElement(this.container.findElement(By.className("jstree-xwiki")));
    }
}
