/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.security.authorization.testwikis;

import org.xwiki.model.EntityType;
import org.xwiki.security.authorization.Right;

/**
 * Public interface of test entities that represent required rights.
 *
 * @version $Id: 87ca127c0dc5586f9bec6224c637a02e5b5084a1 $
 */
public interface TestRequiredRight extends TestEntity
{
    /**
     * @return the right to require
     */
    Right getRight();

    /**
     * @return the scope on which the right shall be required.
     */
    EntityType getScope();
}
